package CRSDK;

@SuppressWarnings("unused")
public enum CrFileType {
    CrFileType_None (0x0000),
    CrFileType_Jpeg (CrFileType_None.getValue()+1),
    CrFileType_Raw (CrFileType_None.getValue()+2),
    CrFileType_RawJpeg (CrFileType_None.getValue()+3),
    CrFileType_RawHeif (CrFileType_None.getValue()+4),
    CrFileType_Heif (CrFileType_None.getValue()+5);

    private final CrInt16u value;
    CrFileType(int value) {
        this.value = new CrInt16u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
